MantisBT

View Issue Details Jump to Notes ] Wiki ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008601mantisbttoolspublic2007-11-22 10:342009-06-19 07:56
Reporteremerson 
Assigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusnewResolutionopen 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0008601: A tool to recommend already similar resolved bugs to users through the TAG usage
DescriptionImage that you’ve just receive a bug to solve and suddenly you receive a message saying like this: “Hey, someone else has resolved another bug which seems to be similar to yours. What about have a look at his/her bug’s resolution or be in touch with the engineer which solved that bug? I wonder if you can resolve yours faster”.

"Mantis Recommends" is an (GPL) application which will help you on developing your bugs faster by recommending bugs already resolved by someone else and are similar to the one assigned to you based on tags (that are supported since mantis-1.1.0rc1).

I didn't put the source code somewhere to download, but as soon as I do it I'll let you all know. Meanwhile I'd like you to use it and check if this tool helps you all on something.

There is a zipfile uploaded with the application itself + 2 dlls (I'm still thinking of the need of both) + a .DOC file (Application Usage.doc) showing how to install and use "Mantis Recommends".
TagsCpp, recommend, similar, tool
Attached Fileszip file icon mantisrecommends.zip [^] (2,436,498 bytes) 2007-11-22 10:34
zip file icon mantisrecommends-1.0.1.zip [^] (2,735,706 bytes) 2007-12-27 22:34

- Relationships

-  Notes
User avatar (0016264)
ryandesign (reporter)
2007-11-22 15:59

Just so non-Windows users are aware: This is a Windows exe and dlls (though it does appear to at least open and show a config dialog when run thru wine on Mac OS X; I did not test it further.)
User avatar (0022195)
siebrand (developer)
2009-06-19 07:56

Fix typos in synopsis

- Issue History
Date Modified Username Field Change
2007-11-22 10:34 emerson New Issue
2007-11-22 10:34 emerson File Added: mantisrecommends.zip
2007-11-22 15:59 ryandesign Note Added: 0016264
2007-12-27 22:34 emerson File Added: mantisrecommends-1.0.1.zip
2007-12-28 06:31 emerson Tag Attached: bugs
2007-12-28 06:31 emerson Tag Attached: Cpp
2007-12-28 06:31 emerson Tag Attached: recommend
2007-12-28 06:31 emerson Tag Attached: similar
2007-12-28 06:31 emerson Tag Attached: tool
2009-06-17 19:20 siebrand Tag Detached: bugs
2009-06-19 07:56 siebrand Note Added: 0022195
2009-06-19 07:56 siebrand Summary A tool to recomend aready similar resolved bugs to users through the TAG usage. => A tool to recommend already similar resolved bugs to users through the TAG usage


MantisBT 1.2.17 [^]
Copyright © 2000 - 2014 MantisBT Team
Time: 0.0878 seconds.
memory usage: 3,033 KB
Powered by Mantis Bugtracker